com.tibco.tea.agent.api

## Class AgentTypeId

- java.lang.Object
- - com.tibco.tea.agent.api.AgentTypeId

-     public class AgentTypeId
      extends Object

  This object handles the AgentType id formatting The rule is as follows: 1.- When the objectId is presented as a String, then the different parts of the id are separated by : and each of the parts are URL encoded. 2.- When the agentTypeId is split into its parts then this parts will be decoded.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AgentTypeId` | `ROOT_AGENT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentTypeId(String agentTypeId)` The format of the AgentType id string should follow the following formatting: "agentTypeName:agentTypeVersion" Note that every part separated by : MUST be encoded, it is imperative that ONLY the parts separated by : is encoded, not the agentTypeId as a whole, that will make impossible to break it down into its parts again.
    `AgentTypeId(String agentTypeName, String agentTypeVersion)` Note: None of the parameters should be encoded, and must not be encoded when used separated from each other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `agentTypeName()`
    `String` | `agentTypeVersion()`
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ROOT_AGENT_TYPE

          public static final AgentTypeId ROOT_AGENT_TYPE

  - ### Constructor Detail

    - #### AgentTypeId

          public AgentTypeId(String agentTypeId)

      The format of the AgentType id string should follow the following formatting: "agentTypeName:agentTypeVersion" Note that every part separated by : MUST be encoded, it is imperative that ONLY the parts separated by : is encoded, not the agentTypeId as a whole, that will make impossible to break it down into its parts again. If the objectId came from the UI it will be encoded already, so no need to encode it again.
      Parameters:
        `objectId` -

    - #### AgentTypeId

          public AgentTypeId(String agentTypeName,
                             String agentTypeVersion)

      Note: None of the parameters should be encoded, and must not be encoded when used separated from each other. Only will get encoded when joined together in a String
      Parameters:
        `agentTypeName` -
        `agentTypeVersion` -

  - ### Method Detail

    - #### agentTypeName

          public String agentTypeName()

      Returns:
        the agentTypeName

    - #### agentTypeVersion

          public String agentTypeVersion()

      Returns:
        the agentTypeVersion

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2022 TIBCO Software Inc.. All Rights Reserved.